File Based Account Types
Not all payment providers have an API that allows PayData to automatically download transactions or settlement reports. For these payment providers, the end user usually has to manually download a specific report file from the backend of the payment provider. This report can then be sent to PayData by mail.
Random mail addresses are created by the PayData system when a file based account is created. Each account gets its own address. The reports from the payment provider must be attached, and multiple reports can be sent in a single mail. The PayData system will process these reports in roughly 15 to 30 minutes and reply with information about the status.
Account creation
File based accounts are created like any other account type using the create account endpoint and don't require any special handling. Simply create the account by using the appropriate account type. Creation of file based account types might take a bit longer than other account types.
POST /partner/v2/accounts HTTP/1.1
Host: sandbox.paydata-api.com
Authorization: Bearer {UserToken}
Content-Type: application/json
{
"accountTypeId": "otto_csv"
}
{
"id": "14jkx8nxb8",
"accountTypeId": "otto_csv",
"name": "Otto (CSV)",
"status": "Idle",
"elementStatistics": {
"count": 0,
"first": null,
"last": null
},
"accountFields": {
"email-address": "15jxt8n1b7skma@import-sandbox.paydata-api.com"
}
}
Mails with reports send to 15jxt8n1b7skma@import-sandbox.paydata-api.com will then be imported into the just created account.
It can take a couple of minutes until the mail address is ready to receive mails.
Report Format
The format of the report depends on the account type / PSP. For some account types multiple formats are supported while for others require a very specific format. Usually the reports are CSV or XLSX files. PayData provides end user instructions on how to obtain the report with the setup helpUrl type contained in the Account Type Details.
Mail Replies
To inform the end user about the processing status, a mail reply will be sent to the sender and also to the end user's main mail address. Below image contains and example of such an mail.

The reply mails can be customized. Please contact the PayData API developer support for customization options.
Custom Sub-Domains
For an improved brand recognition, a prefix can be added to the domain. The final mail address will then look like gh23a4hba1v12@your-prefix.import.paydata-api.com.
Please contact the PayData API developer support if a custom domain should be set up.
Troubleshooting
Mail is rejected / a Non-Delivery Report (NDR) is received
Sometimes the setup of new mail addresses takes some time. Please wait a couple of minutes and try again. Also SPAM checks of various mail servers can ask for a re-send of the same mail to make sure it is valid (Greylisting).
Mail is sent to PayData API but no response is received
Please make sure the reports are attached in a supported format. Unknown attachments are silently skipped and for empty mails no reply is sent.
Also SPAM checks and other factors out of our control can delay the mail or its response.
End user receives status mails not sent by them
The PayData API system replies to the mail address of the end user (if supplied) and to the address of the sender. The mail to the address of the end user is necessary, as the sender can be an automated system.